%define name    edje
%define version 1.7.9
%define option  0
%define svn     0
%if %option
%define rel 0.%option.3
%define namevers %name-%version-%option
%else
%define rel 2
%define namevers %name-%version
%endif
%if %svn
%define release %mkrel -c %svn %rel
%else
%define release %mkrel %rel
%endif

%define major 1
%define libname %mklibname %{name} %major
%define libnamedev %mklibname %{name} -d

Summary: 	Complex graphical design & layout library
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	BSD
Group: 		Graphical desktop/Enlightenment
URL: 		http://trac.enlightenment.org/e/wiki/Edje
# creating archive is quite simple:
# svn export http://svn.enlightenment.org/svn/e/branches/%name-1.1 %name
# tar cJf %name-%svn.tar.xz %name
%if %svn
Source:         %name-%svn.tar.xz
%else
Source: 	http://download.enlightenment.org/releases/%namevers.tar.bz2
%endif
Patch0:     edje-add-missing-lib-lua.patch
BuildRequires:  pkgconfig
%if %svn
BuildRequires: 	pkgconfig(embryo) => %{version}-0.%svn
BuildRequires:	pkgconfig(ecore) => %{version}-0.%svn
BuildRequires:	pkgconfig(eet) => %{version}-0.%svn
BuildRequires:	pkgconfig(evas) => %{version}-0.%svn
%else
BuildRequires:  pkgconfig(embryo) => %{version}
BuildRequires:  pkgconfig(ecore) => %{version}
BuildRequires:  pkgconfig(eet) => %{version}
BuildRequires:  pkgconfig(evas) => %{version}
%endif
BuildRequires:	lua5.1-devel
BuildRequires:	doxygen
BuildRequires:	subversion
Requires:       lua5.1-devel
Requires:	eet embryo

%description
A graphical layout and animation library for animated resizable, compressed
and scalable themes.

This package is part of the Enlightenment DR17 desktop shell.

%package -n %libname
Summary: Libraries for the edje package
Group: System/Libraries

%description -n %libname
Libraries for edje.

%package -n %libnamedev
Summary: Enlightenment edje headers and development libraries
Group: Development/Other
Requires: %libname = %version
Requires: %name = %version
Provides: lib%{name}-devel = %version-%release
Provides: %{name}-devel = %version-%release

%description -n %libnamedev
Edje development headers and libraries.

%prep
%if %svn
%setup -qn %name
%else
%setup -qn %namevers
%endif
#patch0 -p1

%build
%if %svn
LC_ALL=C NOCONFIGURE=1 ./autogen.sh
%endif
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %buildroot%{_libdir}/*.la

%files
%doc AUTHORS COPYING README 
%_bindir/%{name}_*
%_bindir/inkscape2edc
%_libdir/%name
%_datadir/%name
%_datadir/mime/packages/edje.xml

%files -n %libname
%_libdir/lib*.so.%{major}*

%files -n %libnamedev
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/*


%changelog
* Sat Nov 23 2013 trem <trem> 1.7.9-2.mga4
+ Revision: 552461
- use pkgconfig for the buildrequire to avoid issue with epoch
- increase release
- update to version 1.7.9

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Sun Aug 04 2013 trem <trem> 1.7.8-2.mga4
+ Revision: 463324
- update version to 1.7.8 (fix changelog from previous commit)

* Sun Aug 04 2013 trem <trem> 1.7.8-1.mga4
+ Revision: 463231
- increase release to rebuild

* Wed Jun 19 2013 fwang <fwang> 1.7.7-1.mga4
+ Revision: 444948
- new version 1.7.7

* Tue May 07 2013 trem <trem> 1.7.5-4.mga3
+ Revision: 412563
- increase release to rebuild

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 trem <trem> 1.7.5-3.mga3
+ Revision: 339274
- update to release 1.7.5

* Sat Dec 22 2012 trem <trem> 1.7.4-3.mga3
+ Revision: 333856
- update to release 1.7.4

* Fri Dec 07 2012 trem <trem> 1.7.3-3.mga3
+ Revision: 327931
- update to release 1.7.3

* Fri Nov 23 2012 trem <trem> 1.7.2-3.mga3
+ Revision: 321318
- update to release 1.7.2

* Wed Nov 21 2012 trem <trem> 1.7.1-3.mga3
+ Revision: 320193
- update to release 1.7.1

* Wed Sep 12 2012 fwang <fwang> 1.7.0-3.mga3
+ Revision: 292548
- add more runtime deps

* Wed Sep 12 2012 fwang <fwang> 1.7.0-2.mga3
+ Revision: 292542
- add more requires for downstream package

* Sat Sep 08 2012 trem <trem> 1.7.0-1.mga3
+ Revision: 290124
- update to release 1.7.0

* Sat Jun 09 2012 trem <trem> 1.2.1-2.mga3
+ Revision: 258953
- update to 1.2.1

* Fri Jun 08 2012 trem <trem> 1.2.0-2.mga3
+ Revision: 257801
- fix requires (liblua5.1 => lua5.1-devel)

* Thu Jun 07 2012 trem <trem> 1.2.0-1.mga3
+ Revision: 256993
- update to 1.2.0 (stable release)

* Sun Mar 11 2012 trem <trem> 1.1.0-0.r69188.1.mga2
+ Revision: 222666
- update to release 69188

* Sat Mar 10 2012 trem <trem> 1.1.0-0.r69165.1.mga2
+ Revision: 222399
- update to release 69165

* Sun Mar 04 2012 trem <trem> 1.1.0-0.r68658.1.mga2
+ Revision: 217977
- update to release 68658

* Sat Mar 03 2012 trem <trem> 1.1.0-0.r68649.1.mga2
+ Revision: 217527
- update to release 68649

* Sun Feb 26 2012 trem <trem> 1.1.0-0.r68450.1.mga2
+ Revision: 215188
- update to release 68450

* Sat Feb 25 2012 trem <trem> 1.1.0-0.r68434.1.mga2
+ Revision: 214406
- update to release 68434

* Fri Feb 24 2012 trem <trem> 1.1.0-0.r68363.1.mga2
+ Revision: 213951
- update to release 68363

* Wed Feb 22 2012 trem <trem> 1.1.0-0.r68228.1.mga2
+ Revision: 212058
- update to release 68228

* Sun Feb 19 2012 trem <trem> 1.1.0-0.r68120.1.mga2
+ Revision: 210774
- update to release 68120

* Sat Feb 18 2012 trem <trem> 1.1.0-0.r68102.1.mga2
+ Revision: 210222
- update to release 68102

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67851.1.mga2
+ Revision: 207525
- update to release 67851

* Sat Feb 11 2012 trem <trem> 1.1.0-0.r67846.1.mga2
+ Revision: 207238
- update to release 67846

* Fri Feb 10 2012 trem <trem> 1.1.0-0.r67830.1.mga2
+ Revision: 206947
- update to release 67830

* Tue Feb 07 2012 trem <trem> 1.1.0-0.r67715.1.mga2
+ Revision: 206082
- add subversion as buildrequires
- add doxygen as buildrequires
- add evas-devel as buildrequires
- add eet as buildrequires
- update to release 67715
- update to release 67703
- update to release 67702
- update to release 67698
- update to release 67688
- update to release 67680

* Thu Dec 29 2011 trem <trem> 1.1.0-0.r66418.1.mga2
+ Revision: 188813
- update to release 66418

* Sun Dec 04 2011 trem <trem> 1.1.0-0.r65867.1.mga2
+ Revision: 176081
- update to release 65867

* Tue Nov 29 2011 trem <trem> 1.1.0-0.r65688.1.mga2
+ Revision: 174228
- update to release 65688

* Sun Nov 27 2011 trem <trem> 1.1.0-0.r65613.1.mga2
+ Revision: 172951
- update to release 65613

* Sun Nov 20 2011 trem <trem> 1.1.0-0.r65428.1.mga2
+ Revision: 169714
- update to release 65428

* Fri Nov 18 2011 trem <trem> 1.1.0-0.r65369.1.mga2
+ Revision: 168710
- update to version 1.1.0
- update to release r65369
- update to release 65341

* Wed Nov 16 2011 trem <trem> 1.0.999-0.r65269.1.mga2
+ Revision: 168188
- update to release 65269

* Sun Nov 13 2011 trem <trem> 1.0.999-0.r65129.1.mga2
+ Revision: 167150
- update to release 65129

* Fri Nov 11 2011 trem <trem> 1.0.999-0.r65056.1.mga2
+ Revision: 166563
- update to release 65056

* Sat Nov 05 2011 trem <trem> 1.0.999-0.r64753.1.mga2
+ Revision: 163315
- update to release 64753

* Tue Nov 01 2011 trem <trem> 1.0.999-0.r64603.1.mga2
+ Revision: 160801
- update to release 64603

* Mon Oct 31 2011 trem <trem> 1.0.999-0.r64579.1.mga2
+ Revision: 160587
- update to release 64579

* Sun Oct 30 2011 trem <trem> 1.0.999-0.r64519.1.mga2
+ Revision: 160060
- update to release 64519

* Sat Oct 29 2011 trem <trem> 1.0.999-0.r64511.1.mga2
+ Revision: 159799
- update to r64511

* Fri Oct 28 2011 trem <trem> 1.0.999-0.r64501.1.mga2
+ Revision: 159281
- update to r64501

* Wed Oct 26 2011 trem <trem> 1.0.999-0.r64414.1.mga2
+ Revision: 158374
- update to r64414
- use release-version on e17 br package (instead of just version)

* Mon Oct 24 2011 trem <trem> 1.0.999-0.r64328.1.mga2
+ Revision: 157771
- use svn release (instead of stable release)
- spec cleaning

* Thu Sep 22 2011 fwang <fwang> 1.0.1-2.mga2
+ Revision: 146617
- disable static
- drop .la files

* Tue Jun 28 2011 trem <trem> 1.0.1-1.mga2
+ Revision: 115454
- update to 1.0.1

* Mon Apr 18 2011 ennael <ennael> 1.0.0-1.mga1
+ Revision: 87937
- clean spec file
- imported package edje


* Sat Jan 29 2011 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 633926
- 1.0.0 final

* Sat Dec 18 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta3.1mdv2011.0
+ Revision: 622796
- 1.0 beta3

* Tue Nov 16 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta2.1mdv2011.0
+ Revision: 597952
- 1.0.0 beta2

* Wed Oct 13 2010 Funda Wang <fwang@mandriva.org> 1.0.0-0.beta.1mdv2011.0
+ Revision: 585326
- 1.0.0 beta

* Fri Jul 16 2010 Funda Wang <fwang@mandriva.org> 0.9.99.49898-1mdv2011.0
+ Revision: 553947
- new version 0.9.99.49898

* Sun Dec 13 2009 Funda Wang <fwang@mandriva.org> 0.9.93.063-1mdv2010.1
+ Revision: 478159
- BR lua
- new version 0.9.93.063

* Fri Aug 07 2009 Funda Wang <fwang@mandriva.org> 0.9.92.062-1mdv2010.0
+ Revision: 411121
- new version 0.9.92.062

* Wed Jul 08 2009 Funda Wang <fwang@mandriva.org> 0.9.92.061-2mdv2010.0
+ Revision: 393399
- rebuild
- new version 0.9.92.061

* Mon Jul 06 2009 Funda Wang <fwang@mandriva.org> 0.9.92.060-2mdv2010.0
+ Revision: 392830
- rebuild for new ecore

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 0.9.92.060-1mdv2010.0
+ Revision: 370692
- New version 0.9.92.060

* Fri Feb 27 2009 Antoine Ginies <aginies@mandriva.com> 0.9.9.050-2mdv2009.1
+ Revision: 345538
- update buildrequires (ecore version)
- SVN SNAPSHOT 20090227, release 0.9.9.050

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.9.9.050-1mdv2009.1
+ Revision: 292677
- update file list
- New version 0.9.9.050

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.9.043-2mdv2009.0
+ Revision: 266611
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fwang@mandriva.org> 0.9.9.043-1mdv2009.0
+ Revision: 213956
- New version 0.9.9.043

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.5.0.042-3mdv2008.1
+ Revision: 170808
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

  + Antoine Ginies <aginies@mandriva.com>
    - remove old source

* Fri Feb 15 2008 Antoine Ginies <aginies@mandriva.com> 0.5.0.042-2mdv2008.1
+ Revision: 168916
- adjust buildrequires

* Sat Feb 02 2008 Austin Acton <austin@mandriva.org> 0.5.0.042-1mdv2008.1
+ Revision: 161513
- new version
- fix URL
- fix provides
- drop edje-config
- no major in devel package

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Oct 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.041-1mdv2008.1
+ Revision: 104095
- new release
- adjust buildrequires
- fix missing file edje-config
- fix path in tarball
- CVS SNAPSHOT 20070830, release 0.5.0.038

* Thu May 31 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-5mdv2008.0
+ Revision: 33073
- adjust some provides

* Wed May 30 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-4mdv2008.0
+ Revision: 32755
- fix buildrequires, add provides: %%name-%%release

* Tue May 29 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-3mdv2008.0
+ Revision: 32625
- CVS SNAPSHOT 20070529, release 0.5.0.038

* Thu May 24 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-2mdv2008.0
+ Revision: 30647
- increase mkrel
- CVS snapshot 20070524, release 0.5.0.038
- remove unwanted changelog

* Mon May 21 2007 Antoine Ginies <aginies@mandriva.com> 0.5.0.038-1mdv2008.0
+ Revision: 29183
- fix Builrequires
- scvs snapshot 20070516, release 0.5.0.038

* Tue Apr 24 2007 Pascal Terjan <pterjan@mandriva.org> 0.5.0.037-2mdv2008.0
+ Revision: 17719
- Rebuild with the new ecore

* Mon Apr 23 2007 Pascal Terjan <pterjan@mandriva.org> 0.5.0.037-1mdv2008.0
+ Revision: 17694
- New snapshot
- Use autoconf2.5
- Import edje



* Mon Aug 07 2006 Lenny Cartier <lenny@mandriva.com> 0.5.0.025-0.20060323.2mdv2007.0
- rebuild

* Fri Mar 24 2006 Austin Acton <austin@mandriva.org> 0.5.0.025-0.20060323.1mdk
- new cvs checkout

* Fri Feb 17 2006 Austin Acton <austin@mandriva.org> 0.5.0.023-0.20060216.1mdk
- new cvs checkout

* Wed Jan 18 2006 Austin Acton <austin@mandriva.org> 0.5.0.023-0.20060117.1mdk
- new cvs checkout

* Fri Nov 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.019-0.20051124.1mdk
- new cvs checkout

* Wed Nov 09 2005 Austin Acton <austin@mandriva.org> 0.5.0.018-0.20051109.1mdk
- new cvs checkout

* Sat Nov 05 2005 Austin Acton <austin@mandriva.org> 0.5.0.018-0.20051104.1mdk
- new cvs checkout

* Mon Sep 05 2005 Austin Acton <austin@mandriva.org> 0.5.0.013-0.20050904.1mdk
- new cvs checkout

* Sun Aug 14 2005 Austin Acton <austin@mandriva.org> 0.5.0.013-0.20050813.1mdk
- new cvs checkout

* Mon Jun 27 2005 Austin Acton <austin@mandriva.org> 0.5.0.010-0.20050627.1mdk
- new cvs checkout

* Wed Jun 08 2005 Austin Acton <austin@mandriva.org> 0.5.0.008-0.20050608.1mdk
- new cvs checkout

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.007-0.20050524.3mdk
- multiarch binaries

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.007-0.20050524.2mdk
- more fixes

* Wed May 25 2005 Austin Acton <austin@mandriva.org> 0.5.0.007-0.20050524.1mdk
- new cvs checkout
- tidy spec

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.20040913.2mdk
- add some requires exceptions
- fix libedje-devel requires 

* Fri Sep 24 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.5.0-0.20040913.1mdk
- 0.5.0 20040913
